Subject: Re: Gnu-win32 (b18), coolview and NTEmacs
From: [email-masked] (Tomas Fasth)

6 Jan 1998 08:22:28 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked], Michael Hirmke <[email-masked]>

Scott,

maybe this is not much of a solution to your own line break problem,
but...

We have successfully been using CVS (concurrent version control system)
for years. Among other things, it has allowed us to share source code on
several platforms with incompatible line termination in a seemless way.

CVS is freeware.
We use CVS in a client-server configuration.
The requirements are at least one server installation, Unix or NT (I'm
not sure how stable the NT port are), where the repository resides, and
client software on each development platform. CVS takes care of
conversion to and from each client's particular flavor of line
termination. You need support for TCP/IP.
I think the client part have been ported to all platforms alive today,
including DOS and gnuwin32 (mixed or binary mount). The tools are
command line based.

Tomas

Scott Blachowicz wrote:
> 
> Which is what makes the coolview stuff impractical to use in an environment
> with several people doing development on the same directory tree. (and those
> people don't all use the same set of tools) If I edit a source file with
> binary mounts, they get converted to Unix line break style one way or another.
> Then the next person to play with the files might use tools that want DOS
> style line breaks.  Or various line break styles get inflicted on a file
> introducing unnecessary changes to the file on its way into a source code
> control system.  It'd be real nice if this binary mount stuff could just go
> away...
> 
> Or if I'm missing some detail somewhere, I'd love to hear about it.
> 
> Scott Blachowicz
> [email-masked]
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".